#!/usr/bin/env python
#
# This file is part of Spelling Adventure
# Author(s): Alex Castro and Leana Galicia, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Spelling Adventure is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Spelling Adventure is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Spelling Adventure.  If not, see <http://www.gnu.org/licenses/>.

import pygame, ActivityBase
from helpers import *

class Activity1(ActivityBase.ActivityBase):
	activity_count=1
	correct_answer_count = 0
	
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
			ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False


		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (255,255,255))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (255,255,255))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		self.activity_count += 1
		if answered_correctly:
			self.correct_answer_count += 1
		return answered_correctly



	def play(self):
			# load image for new background
			self.background, self.background_rect = load_image("yellowleaves.jpg")
			
			# begin first question set definition
			question = "Which of the following words correctly spells a type of fruit?"
			answer_choices = ["melon","pare","watarmelon","peech"]
			correct_answer = "a"
			# end first question set definition
			
			#begin second question set definition
			question2 = "Which following action verb is misspelled?"
			answer_choices2 = ["jog","ron","jump","stretch"]
			correct_answer2= "b"
			#end second question set definition

			#begin third question set definition
			question3= "What word correctly spells a color?"
			answer_choices3 = ["grenn","bloo","redd","pink"]
			correct_answer3 = "d"
			#end third question set definition
			
			# begin fourth question set definition
			question4 = "Which of the following words below is misspelled?"
			answer_choices4 = ["before","would","sitt","hand"]
			correct_answer4 = "c"
			# end fourth question set definition
			
			# begin fifth question set definition
			question5 = "Which of the following adjectives is misspelled?"
			answer_choices5 = ["beautiful","tall","shourt","happy"]
			correct_answer5 = "c"
			# end fifth question set definition
			
			# begin sixth question set definition
			question6 = "Choose the adjective that is correctly spelled and fills in the blank in the sentence, Susy was ____ at her birthday party." 
			answer_choices6 = ["sed","happy","red","madd"]
			correct_answer6 = "b"
			# end sixth question set definition
			
			# begin seventh question set definition
			question7 = "The following food items are spelled correctly except?"
			answer_choices7 = ["rice","pizza","pasta","bannana"]
			correct_answer7 = "d"
			# end seventh question set definition
			
			# begin eighth question set definition
			question8 = "What is the correct spelling for the capital of Alabama?"
			answer_choices8 = ["Montgomery","Montogomery","Montogommery","Montogomeri"]
			correct_answer8 = "a"
			# end eighth question set definition
			
			# begin ninth question set definition
			question9 = "Which of the following is the correct spelling of the river that runs through the Grand Canyon?"
			answer_choices9 = ["Colorodo River","Colarado River","Colorado River","Cularado River"]
			correct_answer9 = "c"
			# end ninth question set definition
			
			# begin tenth question set definition
			question10 = "Alex likes to read and ____."
			answer_choices10 = ["write","blue","flower","sky"]
			correct_answer10 = "a"
			# end tenth question set definition
		
			# begin eleventh question set definition
			question11 = "Roses are ____, violets are ____."
			answer_choices11 = ["red, blue","black, green","Brown, turqoise", "pig,sky"]
			correct_answer11 = "a"
			# end eleventh question set definition
			
			# begin twelfth question set definition
			question12 = "Which adjective correctly fills in the sentence? My dog loves to go outside, eventhough the weather is very __ in Texas.."
			answer_choices12 = ["hot","lazy","thunderstorm", "rainy"]
			correct_answer12 = "a"
			# end twelfth question set definition
			
			# begin thirteenth question set definition
			question13 = "Which word in the following sentence is a noun Pam walks to her house from school."
			answer_choices13 = ["hot","lazy","walks", "Pam"]
			correct_answer13 = "d"
			# end thirteenth question set definition
			
			# begin fourteenth question set definition
			question14 = "Which word in the following sentence is a verb, Pam walks to her house from school."
			answer_choices14 = ["hot","lazy","walks", "Pam"]
			correct_answer14 = "c"
			# end fourteenth question set definition
			
			# begin fifteenth question set definition
			question15 = "Which word in the following sentence is a verb Pam walks to her house from school."
			answer_choices15 = ["hot","lazy","walks", "Pam"]
			correct_answer15 = "c"
			# end fifteenth question set definition
			
			
			font = pygame.font.Font(None, 30)
			
			#begin first question set
			if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			font = pygame.font.Font(None, 30)
			#end first question set
			
			#begin second question set
			if self.ask_multiple_choice_question(question2,answer_choices2,correct_answer2):
					text = font.render("GREAT JOB you answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end second question set
			
			#begin third question set
			if self.ask_multiple_choice_question(question3,answer_choices3,correct_answer3):
					text = font.render("EXCELLENT you answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end third question set
			
			#begin fourth question set
			if self.ask_multiple_choice_question(question4,answer_choices4,correct_answer4):
					text = font.render("GREAT JOB you answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fourth question set
			
			#begin fifth question set
			if self.ask_multiple_choice_question(question5,answer_choices5,correct_answer5):
					text = font.render("CORRECT! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fifth question set
			
class Activity2(ActivityBase.ActivityBase):
	activity_count=1
	correct_answer_count = 0
	
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
			ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False


		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (255,255,255))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (255,255,255))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		self.activity_count += 1
		if answered_correctly:
			self.correct_answer_count += 1
		return answered_correctly



	def play(self):
			# load image for new background
			self.background, self.background_rect = load_image("yellowleaves.jpg")
			
			# begin first question set definition
			question = "Which of the words below is the correct spelling?"
			answer_choices = ["butterfly","batterfly","butterfli","buterfly"]
			correct_answer = "a"
			# end first question set definition
			
			#begin second question set definition
			question2 = "Which of the following words is spelled correctly?"
			answer_choices2 = ["nite","night","nightt","nitte"]
			correct_answer2= "b"
			#end second question set definition

			#begin third question set definition
			question3= "What word is misspelled in the following choices?"
			answer_choices3 = ["cake","shoe","house","strett"]
			correct_answer3 = "d"
			#end third question set definition
			
			# begin fourth question set definition
			question4 = "Which from the words below is spelled correctly?"
			answer_choices4 = ["straberry","strowbery","strawberry","strabberry"]
			correct_answer4 = "c"
			# end fourth question set definition
			
			# begin fifth question set definition
			question5 = "Which from the words listed below is  not misspelled?"
			answer_choices5 = ["Banana","Bananna","Banena","Benana"]
			correct_answer5 = "a"
			# end fifth question set definition
			
			# begin sixth question set definition
			question6 = "Which from the words below is spelled correctly?"
			answer_choices6 = ["mousse","mouse","mouce","mause"]
			correct_answer6 = "b"
			# end sixth question set definition
			
			# begin seventh question set definition
			question7 = "Which of the following choices is spelled correctly?"
			answer_choices7 = ["doog","dag","dog","dawg"]
			correct_answer7 = "c"
			# end seventh question set definition
			
			# begin eighth question set definition
			question8 = "Which of the food items is misspelled?"
			answer_choices8 = ["bread","tortilla","soop","apple"]
			correct_answer8 = "c"
			# end eighth question set definition
			
			# begin ninth question set definition
			question9 = "Which of the following animal names is spelled correctly?"
			answer_choices9 = ["frog","cat","huorse","monkey"]
			correct_answer9 = "c"
			# end ninth question set definition

			# begin tenth question set definition
			question10 = "Which of the following house utilities is misspelled?"
			answer_choices10 = ["broom","spoun","vacuum","sponge"]
			correct_answer10 = "b"
			# end tenth question set definition
			
			# begin eleventh question set definition
			question11 = "In this sentence which word is misspelled? Jack ran to his housse."
			answer_choices11 = ["ran","housse","his","nothing is misspelled"]
			correct_answer11 = "b"
			# end eleventh question set definition
			
			# begin twelfth question set definition
			question12 = "Which word in the following sentence is misspelled?  Susy loves to go to the park and pick fluwers."
			answer_choices12 = ["Susy","fluwers","loves","park"]
			correct_answer12 = "b"
			# end twelfth question set definition
			
			# begin thirteenth question set definition
			question13 = "Which word listed below correctly spells the capital of Texas?"
			answer_choices13 = ["Ausstin","Austin","Austen","Astin"]
			correct_answer13 = "b"
			# end thirteenth question set definition
			
			# begin fourteenth question set definition
			question14 = "Which of the following words correctly spells the name of an animal?"
			answer_choices14 = ["elephant","tigar","munkey","ratt"]
			correct_answer14 = "a"
			# end fourteenth question set definition
			
			# begin fifthteen question set definition
			question15 = "Which word in this sentence is misspelled?  Billy enjays eating cake at his birthday party."
			answer_choices15 = ["enjays","Billy","eating","cake"]
			correct_answer15 = "a"
			# end fifthteen question set definition
			
			font = pygame.font.Font(None, 30)
			
			#begin first question set
			if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
					text = font.render("GOOD JOB you answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			font = pygame.font.Font(None, 30)
			#end first question set
			
			#begin second question set
			if self.ask_multiple_choice_question(question2,answer_choices2,correct_answer2):
					text = font.render("EXCELLENT! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end second question set
			
			#begin third question set
			if self.ask_multiple_choice_question(question3,answer_choices3,correct_answer3):
					text = font.render("GREAT ANSWER!! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end third question set
			
			#begin fourth question set
			if self.ask_multiple_choice_question(question4,answer_choices4,correct_answer4):
					text = font.render("EXCELLENT! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fourth question set
			
			#begin fifth question set
			if self.ask_multiple_choice_question(question5,answer_choices5,correct_answer5):
					text = font.render("GREAT JOB! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fifth question set
			
			#begin sixth question set
			if self.ask_multiple_choice_question(question6,answer_choices6,correct_answer6):
					text = font.render("GOOD ANSWER! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end sixth question set
			
			#begin seventh question set
			if self.ask_multiple_choice_question(question7,answer_choices7,correct_answer7):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end seventh question set
			
			#begin eighth question set
			if self.ask_multiple_choice_question(question8,answer_choices8,correct_answer8):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end eighth question set
			
			#begin ninth question set
			if self.ask_multiple_choice_question(question9,answer_choices9,correct_answer9):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end ninth question set
			
			#begin tenth question set
			if self.ask_multiple_choice_question(question10,answer_choices10,correct_answer10):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end tenth question set
			
			#begin eleventh question set
			if self.ask_multiple_choice_question(question11,answer_choices11,correct_answer11):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end eleventh question set
			
			#begin twelfth question set
			if self.ask_multiple_choice_question(question12,answer_choices12,correct_answer12):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end twelfth question set
			
			#begin thirteenth question set
			if self.ask_multiple_choice_question(question13,answer_choices13,correct_answer13):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end thirteenth question set
			
			#begin fourteenth question set
			if self.ask_multiple_choice_question(question14,answer_choices14,correct_answer14):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fourteenth question set
			
			#begin fifthteen question set
			if self.ask_multiple_choice_question(question15,answer_choices15,correct_answer15):
					text = font.render("You answered correctly! Press any key to continue.", 1, (255,255,255))
					self.activity_completed = True
			else:
					text = font.render("Sorry, that's not correct. Press any key to continue.", 1, (255,255,255))
			self.screen.blit(self.background, (0,0))
			textrect = text.get_rect()
			textrect.center = (400, 250)
			self.screen.blit(text, textrect)
			pygame.display.flip()			
			start_game = False
			while not start_game:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit() # if the user closed the window, quit the game
					elif event.type == pygame.KEYDOWN: # if the user pressed a key
						start_game = True # start the game
			# end fifthteenth question set


			while not self.activity_completed:
				for event in pygame.event.get():
					if event.type == pygame.QUIT:
						sys.exit()
					# Ask our question until they get it right
					if self.ask_multiple_choice_question(question,answer_choices,correct_answer) and self.ask_multiple_choice_question(question2,answer_choices2,correct_answer2) and self.ask_multiple_choice_question(question3,answer_choices3,correct_answer3):
							self.activity_completed = True
					
			self.image = self.completed_image
			self.completed_image_rect.topleft = self.rect.topleft
			self.rect = self.completed_image_rect
			
class Activity3(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# draw everything to screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity3-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Activity4(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity4-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
