#!/usr/bin/env python
#
# This file is part of Spelling Adventure
# Author(s): Alex Castro and Leana Galicia, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Spelling Adventure is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Spelling Adventure is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Spelling Adventure.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 914, 641
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("finalbackground picture.jpg")
whiff_sound=load_sound("Jungle_Morning.wav")

# Set up the group of activities
activities = pygame.sprite.OrderedUpdates()
activities.add(Activity1((10,90),background,"bigger monkey.jpg","bigger monkey.jpg"))
activities.add(Activity2((620,75),background,"newsquirrel2.jpg","newsquirrel2.jpg"))
#activities.add(Activity3((575,350),background,"twoturtles.jpg","activity3-completed.png"))
#activities.add(Activity4((215,395),background,"bigbee2.jpg","activity4-completed.png"))

# Main game play
while True:
	whiff_sound.play()
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			whiff_sound.stop()
			#find the next available activity (the first activity in the list that has not been completed)
			for activity in activities:
				nextactivity = activity
				if not activity.activity_completed:
					break

			#if the user has clicked on the next available activity, play it
			if nextactivity.rect.collidepoint(event.pos):
				nextactivity.play()

	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)

	pygame.display.flip()
